#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: enclosed-exceptions
version: 1.0.1.1
id: enclosed-exceptions-1.0.1.1-ab7253feaa1aa0c6aca3f8d7c54eebe9
key: enclo_If8PKDjmmIx5GJMVs0vIri
license: MIT
maintainer: jmacristovao@gmail.com, michael@snoyman.com
homepage: https://github.com/jcristovao/enclosed-exceptions
synopsis: Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
author: Michael Snoyman, João Cristóvão
exposed: True
exposed-modules:
    Control.Exception.Enclosed
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/enclosed-exceptions-1.0.1.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/enclosed-exceptions-1.0.1.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/enclosed-exceptions-1.0.1.1
hs-libraries: HSenclosed-exceptions-1.0.1.1-If8PKDjmmIx5GJMVs0vIri
include-dirs: /usr/local/include
depends:
    async-2.0.2-7323ce9f8a31649b3f9f961e623ae0eb
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    lifted-base-0.2.3.6-1dfd01e491e36bcf548a0a97190dea47
    monad-control-1.0.0.4-9b806c409db033e571fac7650e2dbb97
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    transformers-base-0.4.4-47d17665c0db26ffcb68c46caa7346c1
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/enclosed-exceptions-1.0.1.1/html/enclosed-exceptions.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/enclosed-exceptions-1.0.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
